/*
        Copyright (c) 1998, Apple Computer, Inc.
        All rights reserved.

        You may freely copy, distribute and reuse the code in this example.
        Apple disclaims any warranty of any kind, expressed or implied,
        as to its fitness for any particular use.
*/

#import <EOAccess/EOAccess.h>

@interface FlatFileSQLExpression:EOSQLExpression
{
}

+ (NSArray *)createTableStatementsForEntityGroup:(NSArray *)entityGroup;
+ (NSArray *)dropTableStatementsForEntityGroup:(NSArray *)entityGroup;
+ (NSArray *)primaryKeyConstraintStatementsForEntityGroup:(NSArray *)entityGroup;
+ (NSArray *)primaryKeySupportStatementsForEntityGroup:(NSArray *)entityGroup;
+ (NSArray *)foreignKeyConstraintStatementsForEntityGroup:(NSArray *)entityGroup;

@end
